function init(){
	
	////////////////////drag setting////////////////////
	$(".draggable").each(function(i, e) {
        var key = $(this).attr("data-dragkey");
		sg.setDraggable("[data-dragkey="+key+"]", {
			dropSelector: "[data-dropkey="+key+"]",
			revert: true,
			success:function(){
				sg.sound("success");
			},
			fail:function(){
				sg.sound("error");
			}
		});
    }).on("dragstart", function(e){
		$('.droppable').removeClass("alpha-transition").css({'opacity':'0.8'});
	}).on("dragstop", function(e){
		$('.droppable').addClass("alpha-transition").css({'opacity':'1'});
	});
	////////////////////////////////////////////////////
			
		
		
	$('.ggd_Flecha_Avanzar,.ggd_Flecha_volver').click(function(e) {
		if( $("#t3").css('display') == 'block'|| $("#t4").css('display') == 'block'){				
			$('.ggd_title').html('La Configuración del modelo atómico moderno');
		}
		if($("#t5").css('display') == 'block'){
			$('.ggd_title').html('Representación del átomo');
			}
		else{
			$('.ggd_title').html('Modelos atómicos');
			}
		if ( $('#page9').css('display') == 'block' || $('#page10').css('display') == 'block' || $('#page11').css('display') == 'block'){
				$('.ggd_title').html('La Configuración del modelo atómico moderno');
			}
		if ( $('#page12').css('display') == 'block' || $('#page13').css('display') == 'block' || $('#page14').css('display') == 'block' || $('#page15').css('display') == 'block'){
				$('.ggd_title').html('La Configuración Electrónica');
			}
		if ( $('#page16').css('display') == 'block'){
				$('.ggd_title').html('La Tabla Periódica');
			}
		if ( $('#page17').css('display') == 'block' || $('#page18').css('display') == 'block' || $('#page19').css('display') == 'block'){
				$('.ggd_title').html('Distribución de los orbitales en la  Tabla Periódica');
			}
			if ( $('#page20').css('display')){
				$('.ggd_title').html('Representaciones Electrónicas');
			}
	});		
}

/////////////////////////drop check//////////////////////////////
function validate(){
	var chk = true;
	$(".draggable").each(function(i, drag){
		if( !chk ) return;
		chk = sg.dropCheck( $(drag).data("hit"), drag );
	});
	
	if( chk ){
		sg.sound('success');
		$("div[data-sg-key='9']").trigger("click");
	}else{
		sg.sound('error');
		$("div[data-sg-key='10']").trigger("click");
	}
}
/////////////////////////////////////////////////////////////////


////////////////////////set Video//////////////////////////
/*function setVideoPage10(){
	sg.jwframe({
		elementOrID: "videoContainer",
		width: 640,
		height: 480,
		src: "http://media.colombiaaprende.edu.co:8080/cd_player/player.jsp?iid=4746ce56-f318-4502-9cf2-6a69d36a3bf4&fid=9570707f-bb00-4186-8a4c-911cd0a667be",
		//optional
		localSources: [{
			file: "video/VS_S_G08_U02_L01_03_02.mp4",
			//optional
			image: "img/test_poster.jpg"
		}],
		//optional, default false
		scaleControl: true,
		//optional, default null//v1.3
		onDisabled: function(){
			$(this).empty();
		}
	});
}

function setVideoPage15(){
	sg.jwframe({
		elementOrID: "videoContainer2",
		width: 640,
		height: 440,
		src: "http://media.colombiaaprende.edu.co:8080/cd_player/player.jsp?iid=4746ce56-f318-4502-9cf2-6a69d36a3bf4&fid=9570707f-bb00-4186-8a4c-911cd0a667be",
		//optional
		localSources: [{
			file: "video/AN_S_G08_U02_L01_03_04.mp4",
			//optional
			image: "img/test_poster.jpg"
		}],
		//optional, default false
		scaleControl: true,
		//optional, default null
		onDisabled: function(){
			$(this).empty();
		}
	});	
}*/

function verificarBt1(){
	$('#txt1').html("<p>Representa: el nivel de energía<br/>Para n: números enteros 1,2,3.</p>")
	$('#txt2').html("<p>Representa: forma de los orbitales los valores de l dependen del valor del número cuáuntico principal.<br/>Para l: números enteros 0 hasta (n-1).</p>")
	$('#txt3').html("<p>Representa: la distribución del orbital en el espacio<br/>Para m: todos los números enteros entre +l y l incluido el 0.</p>")
	$('#txt4').html("<p>Representa: giro del electrón entorno a su propio eje.<br/>Para s: sólo números fraccionarios -1/2 y +1/2.</p>")
}